# Environment Variable File. 
# This file contains the variables used to configure the various services in the 
# portainer.yaml file.  

# ==================
# Docker Tags
# ==================
FILEREADER_TAG=latest
AISIMOV_TAG=latest
RABBIT_TAG=3.9.24-management 
DECODER_TAG=latest
INSERTER_TAG=latest
DATABASE_TAG=staging
PGFEATSERV_TAG=latest

# Paths for docker volumes. Must end with /
# must create the folder named after each docker volume first. 
GEOM_VOLUME_PATH=./geom
# DB_VOLUME_PATH=/mnt/data/quickstart/database

# ==================
# File Reader
# ================== 

# ==================
# AIS-i-Mov
# ==================
# Source of AIS data:
SOURCE_HOST=153.44.253.27
SOURCE_PORT=5631
SOCKET_TIMEOUT=60
CHUNK_BYTES=300 
TIMESTAMP_DIVISOR=1 #or 1000 for millisecond epoch timestamps...

LOG_NAME=denmark_AIS.log
LOG_DIR=/usr/local/ais_i_mov/logs/ 

# RabbitMQ definition for Q's
MOV_RABBIT_HOST=rabbitmq
MOV_RABBIT_MSG_PORT=5672
MOV_RABBITMQ_DEFAULT_USER=openais
MOV_RABBITMQ_DEFAULT_PASS=super_secret_password
MOV_RABBIT_EXCHANGE=ais_dev_topic 

MOV_KEY=encoded_ais.denmark.all
MOV_ON_ERROR_DROP_MSGS=True
AISIMOV_RABBIT_EXCHANGE=ais_dev_topic #Should Delete
# AISIMOV_RABBIT_QUEUE=parsed_encoded_messages #Should Delete
QUEUE_MAX_LENGTH=1000000

# ==================
# RabbitMQ
# ==================
RABBIT_MSG_PORT=5672
RABBIT_MANAGE_PORT=15672
RABBITMQ_DEFAULT_USER=openais
RABBITMQ_DEFAULT_PASS=super_secret_password
# ==================
# Filter
# ==================
# TODO: IMPLEMENT FILTER

# ==================
# Decoder
# ==================
# Source/SRC and Sink/SNK are seperated here. 
# This is so that you can use multiple rabbit servers and cross
# from prod to dev servers for testing with prod data.
SRC_RABBIT_HOST=rabbitmq
SRC_RABBIT_MSG_PORT=5672
SRC_RABBITMQ_DEFAULT_USER=openais
SRC_RABBITMQ_DEFAULT_PASS=super_secret_password
SRC_RABBIT_EXCHANGE=ais_dev_topic

# List of keys to consume from. 
SRC_KEYS=["encoded_ais.denmark.all"]
SRC_QUEUE=parsed_encoded_messages #Should be the same as AISIMOV_RABBIT_QUEUE
SRC_QUEUE_MAX_LENGTH=100000
SRC_ON_ERROR_DROP_MSGS=True

# Sink_RabbitMQ (Just in case you want to publish to a different server)
SNK_RABBIT_HOST=rabbitmq
SNK_RABBIT_MSG_PORT=5672
SNK_RABBITMQ_DEFAULT_USER=openais
SNK_RABBITMQ_DEFAULT_PASS=super_secret_password
SNK_RABBIT_EXCHANGE=ais_dev_topic
SNK_PRODUCE_KEY=ais.denmark.all
SNK_PRODUCE_PREPEND=ais
SNK_ON_ERROR_DROP_MSGS=True

# Queue and exchange to db-sink
# AISDECODER_RABBIT_EXCHANGE=ais_dev_topic #Should Delete
# AISDECODER_RABBIT_QUEUE=decoded_msg_queue #Should Delete

# Spatial Filter. Drops messages outside this box
AISHUB_LIMIT_ENABLE=true
XMIN=5
YMIN=50
XMAX=15
YMAX=60
# SELECT  ST_MAKEENVELOPE(5,50,15,60,4326 )

# ==================
# Inserter
# ==================
DBI_RABBIT_HOST=rabbitmq
DBI_RABBIT_MSG_PORT=5672
DBI_RABBITMQ_DEFAULT_USER=openais
DBI_RABBITMQ_DEFAULT_PASS=super_secret_password
DBI_RABBIT_EXCHANGE=ais_dev_topic

DBI_KEYS='["ais.#"]' #Needs to be saved as a string not array
DBI_QUEUE=db_inserter_q
DBI_QUEUE_MAX_LENGTH=100000
DBI_ON_ERROR_DROP_MSGS=True

INSERT_PERIOD=5 
INSERT_SIZE=500
INSERTER_USER=openais
POSTGRES_DB=openais
INSERTER_PW=super_secret_password
DB_HOST=database
DB_INT_PORT=15433 

DBSINK_RABBIT_EXCHANGE=ais_dev_topic
DBSINK_RABBIT_QUEUE=decoded_msg_queue

# ==================
# Database with Postgis and TimescaleDB
# ==================
UID=1000
GID=1000  
DB_NAME=openais
DB_EXT_PORT=15433
DB_INT_PORT=5432

# these should be docker secrets...
POSTGRES_USER=openais
POSTGRES_DB=openais
POSTGRES_PASSWORD=super_secret_password
# FETCH_GEOM == "False" will result in no geometry being downloaded on DB init. 
FETCH_GEOM=False 

# ==================
# API
# ==================
API_PORT=9000
API_USER=api
API_PW=Secure_API_Password
#----------------------
API_EXT_PORT=9000 
